import request from '../../src/js/request'
import {
  _HOSPITAL_INFO
} from '../base-api'

// 获取医院列表
export const fhGetHospitalList = params =>
  request({
    url: `/hospital/hospital-info/list`,
    data: params,
    params
  })

// 获取科室列表
export const fhGetSickroomList = (hospitalId, params) =>
  request({
    url: `/hospital/hospitals/${hospitalId}/sickroom-info`,
    data: params,
    params
  })

// 获取病区列表
export const fhGetSickAreaList = (hospitalId, params) =>
  request({
    url: `/hospital/hospitals/${hospitalId}/sickarea`,
    data: params,
    params
  })

// 获取病房列表
export const fhGetWardList = (hospitalId, params) =>
  request({
    url: `/hospital/hospitals/${hospitalId}/bingfang`,
    data: params,
    params
  })
